# https://github.com/hluk/qxtglobalshortcut/commit/16446200b699e0610b8a5fb20b74938225d81d87
%global commit 16446200b699e0610b8a5fb20b74938225d81d87
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global commitdate 20171021

Name:           qxtglobalshortcut
Version:        0.0.1
Release:        0.7.%{commitdate}git%{shortcommit}%{?dist}
Summary:        Cross-platform library for handling system-wide shortcuts in Qt applications
License:        BSD
URL:            https://github.com/hluk/qxtglobalshortcut
Source0:        https://github.com/hluk/qxtglobalshortcut/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
BuildRequires:  cmake
BuildRequires:  pkgconfig(Qt5)

%description
Cross-platform library for handling system-wide shortcuts in Qt applications.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{_isa} = %{version}-%{release}
Requires:       cmake-filesystem%{?_isa}

%description devel
This package provides libraries, header files and documentation for developing
applications using qxtglobalshortcut library.

%prep
%autosetup -p1 -n %{name}-%{commit}

# remove windows files
rm -rf utils/appveyor/
rm -f appveyor.yml

%build
%cmake . \
 -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed"
%make_build

%install
%make_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS README.md
%license COPYING
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Wed Nov 15 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.0.1-0.7.20171021git1644620
- Add RR cmake-filesystem%{?_isa}
- Remove %%dir %%{_includedir}/%%{name,private}
- Remove %%dir %%{_libdir}/cmake/%%{name}/
  Package owns this directory and all files/directories inside it

* Tue Nov 14 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.0.1-0.6.20171021git1644620
- Remove BR pkgconfig(Qt5Widgets)
- Remove RR qt-devel from subpackage devel
- Add BR pkgconfig(Qt5)

* Sun Oct 29 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.0.1-0.5.20171021git1644620
- Don't include COPYING in %%doc, only in %%license
- Move Unversioned so-files directly in %%_libdir
- Use correct license tag BSD

* Tue Oct 24 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.0.1-0.4.20171021git1644620
- Add BR cmake
- Add BR pkgconfig(Qt5Widgets)

* Tue Oct 24 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.0.1-0.3.20171021git1644620
- Disable qt4 build
- Add BR cmake

* Sat Oct 21 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.0.1-0.2.20171021git1644620
- Update to 0.0.1-0.1.20171021git1644620

* Fri Oct 20 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.0.1-0.1.20171013git2a6f890
- Initial build
